@import 'settings';
@import 'typography';

.IntroSection {
    position: relative;
    width: 100%;
    height: 100vh;
    text-align: center;
    color: $white;

    &__content {
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        background: $black;
    }

    .intro-image {
        position: relative;
        width: 100%;
        height: 100%;
        background-position: center;
        background-size: cover;
    }

    .scroll-down-link {
        position: absolute;
        z-index: 11;
        bottom: 0;
        right: 15px;
        padding: 12px;
        font-size: 28px;
        color: $blue;

        &:hover {
            color: darken($blue, 10%);
            transition: color 0.25s, background 0.25s;
        }

        @media #{$tablet} {
            font-size: 32px;
            right: 14px;
            bottom: 6px;
        }
    }
}
